Bug Hunting Session
Bug 46364 - FILEOPEN: Faulty import/rendering of an odt file which contains an OLE drawing
Summary: FILEOPEN: Faulty import/rendering of an odt file which contains an OLE drawing
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
3.3.4 release
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: BSA
Keywords:
Depends on:
Blocks: OLE-Object-Interoperability
  Show dependency treegraph
 
Reported: 2012-02-20 12:01 UTC by Stefan Schweizer
Modified: 2019-03-04 03:53 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
odt file which is not correctly rendered/shown by LibreWriter (29.94 KB, application/vnd.oasis.opendocument.text)
2012-02-20 12:01 UTC, Stefan Schweizer
Details
PDF file with correctly rendered document (odt exported as PDF by MS Word 2010) (84.76 KB, application/pdf)
2012-02-20 12:03 UTC, Stefan Schweizer
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Stefan Schweizer 2012-02-20 12:01:27 UTC
Created attachment 57352 [details]
odt file which is not correctly rendered/shown by LibreWriter

Problem description: 
LibreWriter does not import/render correctly a odt file which was exported by MS Word 2007/2010

Steps to reproduce:
1. Open attached odt file with LibreWriter


Current behavior:
There are some completely black boxes instead of colored boxes with text inside.

Expected behavior:
Coorectly rendering of the odt document as displayed with MS ord (see attached PDF file)

Platform (if different from the browser): 
              
Browser: Mozilla/5.0 (Windows NT 6.1; WOW64; rv:10.0.2) Gecko/20100101 Firefox/10.0.2
Comment 1 Stefan Schweizer 2012-02-20 12:03:21 UTC
Created attachment 57353 [details]
PDF file with correctly rendered document (odt exported as PDF by MS Word 2010)
Comment 2 sasha.libreoffice 2012-05-23 02:29:20 UTC
Thanks for bugreport
In 3.3.4 version present lines but no text
in 3.5.3 present text but no lines
Both differs from attached PDF

Changing version to 3.3.4 as most early reproducible
Comment 3 sasha.libreoffice 2012-05-23 03:16:41 UTC
msWord 2007 opens attached odt as shown on PDF
Comment 4 Teo91 2013-09-30 12:55:33 UTC
I can confirm this with LO 4.1.1 on Windows 7 SP1:
- the text seems correctly visible 
- only few boxes visible, lots of them are lost
Notice: AOO 4.0 displays it more correctly, very similar at Word 2010 rendering.
Comment 5 QA Administrators 2015-04-01 14:41:02 UTC Comment hidden (obsolete)
Comment 6 Buovjaga 2015-04-22 18:24:41 UTC
Confirmed.

Win 7 Pro 64-bit Version: 5.0.0.0.alpha0+ (x64)
Build ID: 211c12b9c64facd1c12f637a5229bd6a6feb032a
TinderBox: Win-x86_64@42, Branch:master, Time: 2015-04-18_01:51:17
Locale: fi_FI
Comment 7 QA Administrators 2016-09-20 09:33:36 UTC Comment hidden (obsolete)
Comment 8 Regina Henschel 2018-03-03 15:03:27 UTC
The problem still exists in Version: 6.0.1.1 (x64)
Build ID: 60bfb1526849283ce2491346ed2aa51c465abfe6
CPU threads: 8; OS: Windows 10.0; UI render: default; 
Locale: de-DE (de_DE); Calc: CL

To reproduce it, you should have Windows as OS, and a MS Word version, which can write .odt documents, and LibreOffice on the same machine.

Suitable for tests is e.g. PaintBrush as application for the OLE. Start Word, insert an OLE-object there and save it to .odt. Inspect the <draw:frame> element and therein the <draw:object-ole> element. All needed information is there and the <draw:image> element with the replacement graphic comes after the <draw:object-ole> element as it should be.

Open the file in LibreOffice. Not the OLE-object but the replacement graphic is loaded.
Comment 9 QA Administrators 2019-03-04 03:53:29 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug